Subject: RE: MPLS PID

From: "Ron Cohen" <[email-masked]>
Date: Wed, 26 Mar 2003 21:29:50 +0200

Stewart,

> At the moment PW runs over any LSP between the PEs. To make 
> this work you would need to signal a special LSP and store 
> state in the network indicating that the forwarding path was 
> different from the non-PW LSP.

1. If no state is desired, PW LSP and non-PW LSP can be distinguished by
MPLS EXP bits. This does not require any state.

2. For general control on load balancing, I think that implicit state
SHOULD be supported. This can be done during LSP setup, which would only
determine per LSP if it more than one outgoing LSP is allowed. By doing
that, the forwarding process would automatically know whether it has the
ability to load balance or not.

Ron

P.S. I'm not sure which can of warms you refer to.

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]] 
> Sent: Wednesday, March 26, 2003 3:07 PM
> To: Ron Cohen
> Cc: 'PWE3 (IETF)'
> Subject: Re: [PWE3] MPLS PID
> 
> 
> 
> 
> Ron Cohen wrote:
> > Stewart,
> > 
> > I'd like to defer the discussion on whether it was right or 
> wrong for 
> > MPLS to have an MPLS PID or not to a different Email. I want to try 
> > and address the applications issue.
> > 
> > Suppose we do not adopt the 4 bit PID suggestion, and we use the 4 
> > bits in the control word for other purposes.
> > 
> > Lets look at the most problematic application, the IP load balancer.
> > 
> > A provider that has an MPLS core has two options:
> > 
> > 1. Run Pseudo-Wires on LSPs on which IP load balance is not enabled.
> 
> At the moment PW runs over any LSP between the PEs. To make 
> this work you would need to signal a special LSP and store 
> state in the network indicating that the forwarding path was 
> different from the non-PW LSP.
> 
> > 2. Run Pseudo-Wires flows on top of IP.
> 
> Do we really want to revisit this can of worms?
> 
> > 
> > Both options seems very reasonable for me. Why should a provider do 
> > otherwise?
> > 
> 
> Stewart
> 
> 
>